Search SCM configs
curl --request POST \
--url https://semgrep.dev/api/scm/deployments/{deploymentId}/configs/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": "<string>",
"cursor": "<string>",
"limit": "<string>",
"filter": {
"namespace": "<string>",
"statusOk": true
}
}
'import requests
url = "https://semgrep.dev/api/scm/deployments/{deploymentId}/configs/search"
payload = {
"deploymentId": "<string>",
"cursor": "<string>",
"limit": "<string>",
"filter": {
"namespace": "<string>",
"statusOk": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentId: '<string>',
cursor: '<string>',
limit: '<string>',
filter: {namespace: '<string>', statusOk: true}
})
};
fetch('https://semgrep.dev/api/scm/deployments/{deploymentId}/configs/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"configs": [
{
"id": "<string>",
"namespace": "<string>",
"sourceId": "<string>",
"baseUrl": "<string>",
"app": {
"id": "<string>",
"slug": "<string>",
"appId": "<string>",
"baseUrl": "<string>",
"requestId": "<string>",
"scmName": "<string>",
"codeAccess": true,
"tenantId": "<string>"
},
"status": {
"checked": "2023-11-07T05:31:56Z",
"ok": true,
"error": "<string>"
},
"installed": true,
"suspended": true,
"autoScan": true,
"useNetworkBroker": true,
"tokenScopes": {
"readMetadata": true,
"readPullRequest": true,
"writePullRequestComment": true,
"readContents": true,
"readMembers": true,
"manageWebhooks": true,
"writeContents": true,
"writePullRequest": true
},
"subscriptions": [
{
"scmUrl": "<string>",
"events": [
"<string>"
]
}
],
"lastSuccessfulSyncAt": "2023-11-07T05:31:56Z",
"autoScanSettings": {
"diffEnabled": true
},
"hasAccessToken": true,
"scmId": "<string>"
}
],
"cursor": "<string>"
}Source Code Management (SCM) configurations
Search SCM configs
Search for SCM configs for a deployment.
POST
/
api
/
scm
/
deployments
/
{deploymentId}
/
configs
/
search
Search SCM configs
This endpoint is experimental. It may change or be removed without notice and is not covered by API stability guarantees.
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
| value | description |
|---|---|
| SORT_DIRECTION_ASC | |
| SORT_DIRECTION_DESC |
Available options:
SORT_DIRECTION_ASC, SORT_DIRECTION_DESC | value | description |
|---|---|
| SCM_CONFIG_SORT_BY_NAME | |
| SCM_CONFIG_SORT_BY_ID | |
| SCM_CONFIG_SORT_BY_LAST_SUCCESSFUL_SYNC_AT |
Available options:
SCM_CONFIG_SORT_BY_NAME, SCM_CONFIG_SORT_BY_ID, SCM_CONFIG_SORT_BY_LAST_SUCCESSFUL_SYNC_AT Was this page helpful?
⌘I